self_ID = "MQ99"
declare_plugin(self_ID,
{
image     	 = "FC3.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
displayName  = _("MQ99"),
developerName = _("Dimitriov"),

fileMenuName = _("MQ-99"),
update_id        = "MQ99",
version		 = "2.5.0",
state		 = "installed",
info		 = _("0"),

	
InputProfiles =
	{
		["MQ99"] = current_mod_path .. '/Input/MQ-99',
	},
--binaries 	 =
--{
--'MiG29',
--},	

Skins	=
	{
		{
			name	= _("MQ99"),
			dir		= "Theme",    
		},
	},
	
})
----------------------------------------------------------------------------------------
--mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_model_path	(current_mod_path.."/Shapes")
--mount_vfs_liveries_path (current_mod_path.."/Liveries")
mount_vfs_texture_path  (current_mod_path.."/Textures/")
--mount_vfs_sound_path	(current_mod_path.."/Sounds/")
-------------------------------------------------------------------------------------


-- local cfg_path = current_mod_path ..  "/FM/F15/config.lua"
-- --dofile(cfg_path)
-- TIE[1] 				= self_ID
--TIE[2] 				= 'TIE'
--TIE.config_path 		= cfg_path
--TIE.old 				= 6

--dofile(current_mod_path.."/PX_Pit.lua")
make_view_settings('MQ99', ViewSettings, SnapViews)

--make_flyable('MQ99'	, current_mod_path..'/Cockpit/KneeboardRight/', {nil,old = 6}, current_mod_path..'/comm.lua')
-------------------------------------------------------------------------------------
dofile(current_mod_path..'/MQ99.lua')

--dofile(current_mod_path..'/UnitPayloads/MQ99.lua')
--dofile(current_mod_path..'/UnitPayloads/MQ99_AI.lua')
--dofile(current_mod_path..'/MQ99_Weapons.lua')
-------------------------------------------------------------------------------------
plugin_done()
